%define soname  2.5
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           sfml
Version:        2.5.1
Release:        %mkrel 1
Summary:        Multimedia C++ API providing access to graphics, input, audio, etc
Group:          Development/C++
License:        zlib
URL:            http://www.sfml-dev.org
Source0:        SFML-%{version}.tar.xz
Patch0:         sfml-2.5.0-window-link-pthread.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xrandr)

%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.

%files -n %{libname}
%{_libdir}/libsfml-*.so.%{soname}*

#----------------------------------------------------------------------

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Includes files for developing programs based on %{name}

%files -n %{devname}
%doc changelog.md readme.md examples/
%doc license.md
%{_includedir}/SFML/
%{_libdir}/libsfml-*.so
%{_libdir}/cmake/SFML/
%{_libdir}/pkgconfig/sfml-*.pc

#----------------------------------------------------------------------

%prep
%setup -qn SFML-%{version}
%apply_patches

sed -i cmake/Macros.cmake -e 's|lib/cmake|%{_lib}/cmake|'

%build
%cmake -DSFML_INSTALL_PKGCONFIG_FILES=TRUE
%make_build

%install
%make_install -C build

# doc, we packaged it in %%files
rm -rf %{buildroot}%{_datadir}/SFML


%changelog
* Wed Feb 13 2019 tex 2.5.1-1pclos2019
- Version 2.5.1
